Project

General

Profile

Anomalie #8237

Mettre en place les autorisations pour permettre une migration de eole 2.2 vers eole 2.4 pour les modules supportés

Added by Bruno Boiget about 10 years ago. Updated about 10 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Category:
-
Start date:
Due date:
% Done:

100%

Estimated time:
1.00 h
Spent time:
Distribution:
EOLE 2.3

Description

Les sauts de version supérieurs à 1 (ex 2.2 -> 2.4 au lieu de 2.3 - 2.4) nécessitent d'être autorisés.

remonté par Chistophe Deze (tentative de migration d'un amon 2.2):


migration d'une conf 2.2 vers 2.4

enregistrement_zephir

!! erreur lors de la migration : la migration vers le module demandé n'est pas gérée !!

-- côté Zéphir --

May 23 09:15:51 zephir zephir_backend: [-] Traceback (most recent call last):
May 23 09:15:51 zephir zephir_backend: [-]   File "/usr/lib/python2.6/dist-packages/zephir/backend/serveurs_rpc.py", line 304, in _migrate_serveur2
May 23 09:15:51 zephir zephir_backend: [-]     assert version_new in config.allowed_upgrades[lib_act[:lib_act.rindex('-')]][version_act]
May 23 09:15:51 zephir zephir_backend: [-] KeyError: 4


Related issues

Related to Zéphir - Scénario #8297: Adaptation des fonctions de migration pour Eole 2.4 Fermé 06/20/2014

Associated revisions

Revision d4177aea (diff)
Added by Bruno Boiget about 10 years ago

Ajout des autorisations pour migration 2.2 -> 2.4

Fixes #8237 @1h

Revision 8aaff9bd (diff)
Added by Bruno Boiget about 10 years ago

Correction sur les autorisation de migration pour eole 2.3 -> 2.4

ref #8237 @30m

History

#1 Updated by Bruno Boiget about 10 years ago

  • Description updated (diff)

#2 Updated by Bruno Boiget about 10 years ago

  • Status changed from Nouveau to Résolu
  • % Done changed from 0 to 100

#3 Updated by Bruno Boiget about 10 years ago

  • Target version set to sprint 2014 36-37

Publication à voir si on a le temps de tester avant la sortie 2.3.13 stable. sinon -> 2.3.14

#4 Updated by Christophe Dezé about 10 years ago

testé pour la partie amon 2.2 vers amon 2.4 : OK

#5 Updated by Bruno Boiget about 10 years ago

  • Target version changed from sprint 2014 36-37 to Mises à jour 2.3.13

#6 Updated by Joël Cuissinat about 10 years ago

  • Status changed from Résolu to Fermé

J'ai confiance dans le retour utilisateur :)

Also available in: Atom PDF